Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.extractor
Class Utils

    java.lang.Object
      org.apache.poi.hdf.extractor.Utils

    public final class Utils

extends java.lang.Object

Comment me

Author:
  Ryan Ackley

Constructor Summary
`Utils()`

Method Summary
`static int` | `convertBytesToInt(byte[] array, int offset)`
`static int` | `convertBytesToInt(byte firstByte, byte secondByte, byte thirdByte, byte fourthByte)`
`static short` | `convertBytesToShort(byte[] array, int offset)`
`static short` | `convertBytesToShort(byte firstByte, byte secondByte)`
`static int` | `convertUnsignedByteToInt(byte b)`
`static char` | `getUnicodeCharacter(byte[] array, int offset)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### convertBytesToShort

    public static short convertBytesToShort(byte firstByte,
                                            byte secondByte)

### convertBytesToInt

    public static int convertBytesToInt(byte firstByte,
                                        byte secondByte,
                                        byte thirdByte,
                                        byte fourthByte)

### convertBytesToShort

    public static short convertBytesToShort(byte[] array,
                                            int offset)

### convertBytesToInt

    public static int convertBytesToInt(byte[] array,
                                        int offset)

### convertUnsignedByteToInt

    public static int convertUnsignedByteToInt(byte b)

### getUnicodeCharacter

    public static char getUnicodeCharacter(byte[] array,
                                           int offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD